Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Instalar Gnome 3 (slot conflict)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
Jack Krauser
Tux's lil' helper
Tux's lil' helper


Joined: 19 Jan 2011
Posts: 109

PostPosted: Fri May 24, 2013 6:24 pm    Post subject: Instalar Gnome 3 (slot conflict) Reply with quote

Hola gente...

Estoy tratando de instalar Gnome 3 en mi instalacion de gentoo siguiendo esta guia

Quote:
http://oleeekchoff.blogspot.com/2011/10/gnome-3-on-gentoo.html


Obviamente me pidio que instalara Gnome 2 (como dice en el paso 3), todo funciona bien con Gnome 2 pero quiero el 3 :P ...

Al aplicar todos los pasos al pie de la letra del enlace anteriormente mencionado, llega un momento que me toca hacer un

Code:
emerge -avuDN world


Al calcular todas las dependencias y todo el asunto, me bota este mensaje y no emerge gnome

Quote:
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

net-libs/libsoup:2.4

(net-libs/libsoup-2.42.2::gentoo, ebuild scheduled for merge) pulled in by
>=net-libs/libsoup-2.42:2.4 required by (net-libs/rest-0.7.90::gentoo, ebuild scheduled for merge)
(and 6 more with the same problem)

(net-libs/libsoup-2.40.3::gentoo, ebuild scheduled for merge) pulled in by
~net-libs/libsoup-2.40.3[introspection?] required by (net-libs/libsoup-gnome-2.40.3::gentoo, ebuild scheduled for merge)


Pase toda la noche investigando (hasta las 5 de la maniana) pero no encuentro solucion a este problema, aun me sigo cayendo del suenio
pero no importa, estoy aprendiendo con todos estos problemas :wink:

Ennnn fin, espero me puedan ayudar para resolver estos conflictos y tener Gnome 3 instalado en mi sistema

Gracias y saludos :)
Back to top
View user's profile Send private message
quilosaq
l33t
l33t


Joined: 22 Dec 2009
Posts: 806

PostPosted: Sun May 26, 2013 11:33 am    Post subject: Reply with quote

Primero instala libsoup:
Code:
# USE="introspection" emerge -v1 =net-libs/libsoup-2.42.2


Despues prueba de nuevo:
Code:
# emerge -avuDN world
Back to top
View user's profile Send private message
Jack Krauser
Tux's lil' helper
Tux's lil' helper


Joined: 19 Jan 2011
Posts: 109

PostPosted: Mon May 27, 2013 6:42 am    Post subject: Reply with quote

quilosaq wrote:
Primero instala libsoup:
Code:
# USE="introspection" emerge -v1 =net-libs/libsoup-2.42.2


Despues prueba de nuevo:
Code:
# emerge -avuDN world


Gracias quilosaq por tu respuesta pero no, no funciona =/
Back to top
View user's profile Send private message
Luciernaga
Guru
Guru


Joined: 05 Apr 2006
Posts: 378
Location: LANDETE (Cuenca)

PostPosted: Mon May 27, 2013 7:59 am    Post subject: Reply with quote

Está muy verde ... que digo, ¿verde? ... verdísimo ... lo he intentado y he tenido que formatear la partición e instalar todo de nuevo con KDE4 ... es lo que hay ... de momento ...
Saludetes ;)
_________________
Soy como una diminuta luciérnaga, perdido en la inmensa oscuridad del universo.
Back to top
View user's profile Send private message
Jack Krauser
Tux's lil' helper
Tux's lil' helper


Joined: 19 Jan 2011
Posts: 109

PostPosted: Mon May 27, 2013 1:23 pm    Post subject: Reply with quote

Luciernaga wrote:
Está muy verde ... que digo, ¿verde? ... verdísimo ... lo he intentado y he tenido que formatear la partición e instalar todo de nuevo con KDE4 ... es lo que hay ... de momento ...
Saludetes ;)



Luciernaga si alguien tan pilas como tu no pudo, peor yo que recién voy comenzando en gentoo :oops:
Por cierto, dejame ver si entendí: Intestaste instalar Gnome 3 y terminaste con el equipo formateado?
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3726

PostPosted: Mon May 27, 2013 3:13 pm    Post subject: Reply with quote

el proceso de instalación de gnome en gentoo no es muy amigable pero tampoco es un desastre total. Tengo instalado gnome-3.8 en mi gentoo y lo uso a diario, tiene algún problemilla ( solo hay que darse una vuelta por el bugzilla) pero gnome-3.6 a mi al menos no me dió ningún problema serio que recuerde.

Nada de layman ni overlays, a fecha de hoy todo lo comunmente necesario para gnome-3.6 y para gnome-3.8 está todo en el árbol oficial de gentoo, aunque está en testing y hardmasked repectivamente.
Las USEs introspection y gtk3 son obligatorias si se va con la idea de usar gnome en gentoo. Si antes de instalar nada usáis el perfil adecuado creo que os ahorraréis mas de un quebradero de cabeza.

saluetes
Back to top
View user's profile Send private message
Luciernaga
Guru
Guru


Joined: 05 Apr 2006
Posts: 378
Location: LANDETE (Cuenca)

PostPosted: Mon May 27, 2013 3:32 pm    Post subject: Reply with quote

Vamos a ver, me explico ...
Tengo instalado Gentoo en todas mis máquinas (6) y en dos de ellas como enrutador/servidor ... y en una con el escritorio Gnome 2 quise "probar" de instalar GNOME 3 de acuerdo con las directrices del manual ...
http://www.gentoo.org/proj/en/desktop/gnome/howtos/gnome-3.6-upgrade.xml

Bien, después de muchos enredos, siguiendo las pautas de los mensajes que me devolvía en pantalla a consecuencia de incompatibilidades entre archivos y/o aplicaciones ... cuando llegó el momento de reiniciar no me dejó entrar en el Login:_ ni como root ... tampoco desde otra distro me dejó montar la partición de Gentoo por corrupción .... de modo que decidí formatearla e instalar Gentoo con el escritorio KDE4 que es desde donde escribo ahora mismito ...
[IMG]http://img5.imageshack.us/img5/8788/instantnea2c.png[/IMG]
Uploaded with ImageShack.us

Ésta última instalación de Gentoo con el kernel 3.8.13 no me ha reportado ningún contratiempo y en 24 horas se completó todo, instalación básica, Xorg, KDE4 y diversas aplicaciones, tales como Firefox, Chromium, Gimp, Digikam, LibreOffice, Flash, etc. etc....

Conste que soy un redomado "probador" de distros y ... aunque las hay de muy buenas sigo siendo "fan" de Gentoo como mi preferida ...
Saludetes ;)
_________________
Soy como una diminuta luciérnaga, perdido en la inmensa oscuridad del universo.
Back to top
View user's profile Send private message
Jack Krauser
Tux's lil' helper
Tux's lil' helper


Joined: 19 Jan 2011
Posts: 109

PostPosted: Mon May 27, 2013 8:36 pm    Post subject: Reply with quote

Agradezco vuestra ayuda gringo y Luciernaga

gringo wrote:
el proceso de instalación de gnome en gentoo no es muy amigable pero tampoco es un desastre total. Tengo instalado gnome-3.8 en mi gentoo y lo uso a diario, tiene algún problemilla ( solo hay que darse una vuelta por el bugzilla) pero gnome-3.6 a mi al menos no me dió ningún problema serio que recuerde.

Nada de layman ni overlays, a fecha de hoy todo lo comunmente necesario para gnome-3.6 y para gnome-3.8 está todo en el árbol oficial de gentoo, aunque está en testing y hardmasked repectivamente.
Las USEs introspection y gtk3 son obligatorias si se va con la idea de usar gnome en gentoo. Si antes de instalar nada usáis el perfil adecuado creo que os ahorraréis mas de un quebradero de cabeza.

saluetes


gringo, la intencion aqui es aprender... Como bien decis, estoy usando el perfil basico:

emerge wrote:
Code:
eselect profile list

Available profile symlink targets:
[1] default/linux/amd64/13.0
[2] default/linux/amd64/13.0/selinux
[3] default/linux/amd64/13.0/desktop *
[4] default/linux/amd64/13.0/desktop/gnome
[5] default/linux/amd64/13.0/desktop/kde
[6] default/linux/amd64/13.0/developer
[7] default/linux/amd64/13.0/no-multilib
[8] default/linux/amd64/13.0/x32
[9] hardened/linux/amd64
[10] hardened/linux/amd64/selinux
[11] hardened/linux/amd64/no-multilib
[12] hardened/linux/amd64/no-multilib/selinux
[13] hardened/linux/uclibc/amd64


Estoy usando un perfil desktop y obviamente al instalar gnome debo de poner las USE que quiero a mano para que se construya el sistema a mi gusto (recuerdo que me dijeron en estos foros: "Tu te preparas el guisado, tu te lo comes") y de esa manera es que he estado obligado a leer para construir las cosas como quiero y dejenme decirles que he aprendido mucho...

gringo, si ya teneis Gnome 3.8 en tu equipo, serias tan amable de decirme como lo hiciste para tenerlo yo tambien? (por si acaso menciono, llevo poco tiempo en gentoo y me encanta pero aun no estoy tan adiestrado como vosotros :P ). De verdad que te lo agardecería un montón :D

Luciernaga wrote:
Vamos a ver, me explico ...
Tengo instalado Gentoo en todas mis máquinas (6) y en dos de ellas como enrutador/servidor ... y en una con el escritorio Gnome 2 quise "probar" de instalar GNOME 3 de acuerdo con las directrices del manual ...
http://www.gentoo.org/proj/en/desktop/gnome/howtos/gnome-3.6-upgrade.xml

Bien, después de muchos enredos, siguiendo las pautas de los mensajes que me devolvía en pantalla a consecuencia de incompatibilidades entre archivos y/o aplicaciones ... cuando llegó el momento de reiniciar no me dejó entrar en el Login:_ ni como root ... tampoco desde otra distro me dejó montar la partición de Gentoo por corrupción .... de modo que decidí formatearla e instalar Gentoo con el escritorio KDE4 que es desde donde escribo ahora mismito ...
[IMG]http://img5.imageshack.us/img5/8788/instantnea2c.png[/IMG]
Uploaded with ImageShack.us

Ésta última instalación de Gentoo con el kernel 3.8.13 no me ha reportado ningún contratiempo y en 24 horas se completó todo, instalación básica, Xorg, KDE4 y diversas aplicaciones, tales como Firefox, Chromium, Gimp, Digikam, LibreOffice, Flash, etc. etc....

Conste que soy un redomado "probador" de distros y ... aunque las hay de muy buenas sigo siendo "fan" de Gentoo como mi preferida ...
Saludetes ;)


Luciernaga, tu partiste de una instalacion de gnome hecha o fuiste directo a tratar de instalar gnome 3.8? Supongo que ya tenias una version de gnome porque usas una guia de actualizacion :P ... Por cierto, veo que dices que tienes un kenerl con version 3.8.13 pero hace dos semanas recien instalé gentoo y me baje el kernel "gentoo-sources" (tal como dice la guia) y me bajó la version 3.7.10-gentoo-r1 (segun uname -r):

emerge wrote:
Code:
uname -r

3.7.10-gentoo-r1


Acaso en dos semanas pusieron esa version o la instalaste de otra manera el kernel para tener dicha versión?

Estaré a la espectativa de vuestros comentarios, gracias por su ayuda :wink:
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3726

PostPosted: Tue May 28, 2013 9:11 am    Post subject: Reply with quote

Quote:
Como bien decis, estoy usando el perfil basico:


usa mejor el perfil desktop/gnome.

Quote:
gringo, si ya teneis Gnome 3.8 en tu equipo, serias tan amable de decirme como lo hiciste para tenerlo yo tambien?


no te lo recomiendo, gnome-3.8 está muy verde en gentoo, mira en el bugzilla de gentoo y verás porque te lo digo.
Yo uso una versión muy básica de gnome y no tengo problemas para el uso que loe doy, pero si usas un gnome con todas sus cosillas te vas a llevar una sorpresa desagradable.
Prueba primero con el 3.6 que creo que está en ~arch y está bastante mas pulido.

saluetes
Back to top
View user's profile Send private message
Luciernaga
Guru
Guru


Joined: 05 Apr 2006
Posts: 378
Location: LANDETE (Cuenca)

PostPosted: Tue May 28, 2013 11:21 am    Post subject: Reply with quote

Poooooos sí .... el último núcleo 3.8.13 creo que se liberó el día 16 de los corrientes y va como un tiro ... fantástico.
Saludetes :)
_________________
Soy como una diminuta luciérnaga, perdido en la inmensa oscuridad del universo.
Back to top
View user's profile Send private message
Jack Krauser
Tux's lil' helper
Tux's lil' helper


Joined: 19 Jan 2011
Posts: 109

PostPosted: Tue May 28, 2013 10:08 pm    Post subject: Reply with quote

Gracias gringo y Luciernaga por vuestras respuestas ^^


gringo wrote:
Quote:
Como bien decis, estoy usando el perfil basico:


usa mejor el perfil desktop/gnome.

Quote:
gringo, si ya teneis Gnome 3.8 en tu equipo, serias tan amable de decirme como lo hiciste para tenerlo yo tambien?


no te lo recomiendo, gnome-3.8 está muy verde en gentoo, mira en el bugzilla de gentoo y verás porque te lo digo.
Yo uso una versión muy básica de gnome y no tengo problemas para el uso que loe doy, pero si usas un gnome con todas sus cosillas te vas a llevar una sorpresa desagradable.
Prueba primero con el 3.6 que creo que está en ~arch y está bastante mas pulido.

saluetes



gringo, que debo hacer para instalar la versión 3.6 de Gnome? Supongo que ha de ser poniendo algo asi en "/etc/portage/package.accept_keyword/gnome3.6":

Code:
gnome-3.8 ~amd64


(Se que no es así pero la idea es esa...)



Luciernaga wrote:
Poooooos sí .... el último núcleo 3.8.13 creo que se liberó el día 16 de los corrientes y va como un tiro ... fantástico.
Saludetes :)


Luciernaga, suena a que ya has instalado esa version de Gnome, o me equivoco (suenas muy emocionado :P )? Si es así, puedes decirme como le hiciste para instalar Gnome 3.8.13 en tu sistema? Te lo agradecería un montón *.*

PD: Siento que ya mismo tengo Gnome 3 en mi equipo... Falta tan pocoooooo XD
Back to top
View user's profile Send private message
esteban_conde
Veteran
Veteran


Joined: 04 Jun 2003
Posts: 1497

PostPosted: Wed May 29, 2013 7:45 pm    Post subject: Reply with quote

Pues nada he cambiado de kernel y he optado por instalar nvidia-drivers la última version que por cierto contiene lo mismo que hay en la pagina oficial de nvidia, tal como comenté en otro post la instalación fué limpia a mas no poder 443 paquetes de gnome-3.6.X de un tirón pero no arranca gdm y no dice absolutamente nada.
El último /var/log/Xorg.0.log a mi juicio es perfecto así me he quedado :?: :?:http://www.mediafire.com/download/qnv4v62o858fnno/Xorg.0.log
EDITADO:
he puesto el link a mediafire.
_________________
Saludos a tod@s, Esteban.
Back to top
View user's profile Send private message
quilosaq
l33t
l33t


Joined: 22 Dec 2009
Posts: 806

PostPosted: Wed May 29, 2013 9:39 pm    Post subject: Reply with quote

Prueba a arrancar sin el servidor X. Después ejecuta startx desde tu usuario (no root) para ver si te muestra algún mensaje de error.
Back to top
View user's profile Send private message
Luciernaga
Guru
Guru


Joined: 05 Apr 2006
Posts: 378
Location: LANDETE (Cuenca)

PostPosted: Thu May 30, 2013 7:45 am    Post subject: Reply with quote

Quote:
Luciernaga, suena a que ya has instalado esa version de Gnome, o me equivoco (suenas muy emocionado )? Si es así, puedes decirme como le hiciste para instalar Gnome 3.8.13 en tu sistema? Te lo agradecería un montón *.*

Me parece que andas un tanto "kunfundido" amigo ...
Veamos:
No te hablo de GNOME 3.8.13 (creo que no existe) sino de las fuentes del núcleo que si son esa versión (3.8.13) y se descargan automáticamente en una nueva instalación de Gentoo ... ¿estamos?
Lo que sí tengo instalado y configurado es Debian 7 que incorpora GNOME 3.4.x ...
http://www.dvdadvdr.com/forums/showthread.php?t=69784
También tengo instalado y configurado la Ubuntu con GNOME ...
http://www.dvdadvdr.com/forums/showthread.php?t=69778
Puede que más adelante me decida a hacer una instalación de Gentoo con GNOME 3.6.x pero de momento estoy en otros menesteres ...
Suerte y saludetes :)
_________________
Soy como una diminuta luciérnaga, perdido en la inmensa oscuridad del universo.
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3726

PostPosted: Thu May 30, 2013 8:44 am    Post subject: Reply with quote

Quote:
que debo hacer para instalar la versión 3.6 de Gnome?


está en ~arch que yo sepa, es mas que recomendable que uses ~arch si tienes intención de usar gnome-3.6.
mezclar estable y testing te va a traer mas problemas que alegrías.

saluetes
Back to top
View user's profile Send private message
esteban_conde
Veteran
Veteran


Joined: 04 Jun 2003
Posts: 1497

PostPosted: Thu May 30, 2013 11:27 am    Post subject: Reply with quote

quilosaq wrote:
Prueba a arrancar sin el servidor X. Después ejecuta startx desde tu usuario (no root) para ver si te muestra algún mensaje de error.

El caso es que gdm no deja ni rastro de ninguna de las maneras de que lo he ejecutado, startx funciona pero ya sabes XSSESION y no es eso lo que buscamos, comenté en uno de los posts que habia arrancado gdm y el escritorio gnome pero fuen fugaz y despues nunca más he podido volver, con el driver nouveau no arrancaba gnome por no tener aceleración 3D y es que mesa con Gallium parece que no es suficiente, vi un post sobre bajar mesa con jit clone, lo ejecuté y salió bien la instalación pero los resultados igual --> intento fallido de instalar gnome-8 ni sobre la anterior ni con instalación limpia (esta segunda no he insistido pero es posible que fuese culpa mia por saltarme el paso de emerge -uDN world, pero no se si merece la pena).
Hasta ahí lo que hice hasta el segundo borrado y nueva instalcíón:
No esta mal que empiece pidiendo perdon por mi nula capacidad para estructurar un pequeño comentario como es este, el caso es que espero acordarme de los pasos seguidos.
1)Borré todo menos el stage3 para volver a descomprimir, puse ~amd64 en make.conf monte /proc y /dev en con -o bind en lo que despues seria el chroot y puse el DNS en etc/resolv.conf, ejecuté chroot y sigo.
2)ya en el chroot, mkdir /usr/portage --> emerge-webrsync para crear el arbol de portage-->emerge -uDN world, como en las anteriores instalciones habia dado problemas pambase-2012mesdia-rX me quedé con el detalle de que se habia instalado sin quejas.
3)emerge -pv gnome -->saca una larga lista de paquetes con uses especificas que hay que ir metiendo cada una a su archivo correspondiente en /etc/portage/package.use, abrevia un poco y evita equivocaciones abrir un segundo terminal situarse en /mnt/etc/portage/package.use y dejar el cursor preparado asi: # echo "" situar el cursor entre los comillas ir al terminal del chroot y copiar el >=nombrdepaqute use y luego de pegado queda #echo ">=nombrdepaquete use">paquete (esto lo pongo solo por que a mi me ha ayudado), entre esos paquete mira por donde aparece otra vez pambase con la use consolekit, procedo --> echo "pambase-20120417-r1">pambase y cuando termino con todos desde el chroot lo primero que hago es emerge pambase instaló un buen numero de paquetes y sigo.
4)emerge gnome -->se me instalan 443 paquetes sin ningun contratiempo pero este es el pricipio de la historia que conté en el anterior post.

Si alguien se ha fijado en Xorg.0.log aparecen un par de cosas que no se interpretar
Quote:
29.223] (II) Module "ramdac" already built-in
[ 29.245] (**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
[ 29.245] (==) NVIDIA(0): RGB weight 888
[ 29.245] (==) NVIDIA(0): Default visual is TrueColor
[ 29.245] (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
[ 29.245] (**) NVIDIA(0): Enabling 2D acceleration
[ 29.796] (II) NVIDIA(GPU-0): Display (Arnos Instruments A-19 (CRT-1)) does not support
[ 29.796] (II) NVIDIA(GPU-0): NVIDIA 3D Vision stereo.
[ 29.798] (II) NVIDIA(0): NVIDIA GPU GeForce GT 610 (GF119) at PCI:1:0:0 (GPU-0)
(Arnos Instument A-19 (CRT-1) se refiere al monitor o a la GPU es que desconozco si gnome3 necesita algun tipo de pantalla, la mia es del 2007 +ó-.
Por cierto he instalado slim y me sale la pantalla negra pero se ve la rueda del raton y luego en forma X pero de ahí no pasa, a ver si entre todos damos el paso, he instalado fedora pero acostumbrado a gentoo no hay color yum -install kernel me planta un bonito kernel-3.9xxx en /boot pero no instala fuentes, vamos que compilar un nuevo kernel en esa distro supone documentarse parcticamente desde cero y e incluso así ¡ya veriamos!.
Bueno amigos, si habeis llegado hasta aqui sin desmayar no me cave duda de que teneis ganas de instalar el nuevo gnome.
_________________
Saludos a tod@s, Esteban.
Back to top
View user's profile Send private message
Jack Krauser
Tux's lil' helper
Tux's lil' helper


Joined: 19 Jan 2011
Posts: 109

PostPosted: Thu May 30, 2013 3:48 pm    Post subject: Reply with quote

Hey amigos!!! Gracias Luciernaga, gringo y esteban_conde por vuestras respuestas ^^

Luciernaga wrote:
Quote:
Luciernaga, suena a que ya has instalado esa version de Gnome, o me equivoco (suenas muy emocionado )? Si es así, puedes decirme como le hiciste para instalar Gnome 3.8.13 en tu sistema? Te lo agradecería un montón *.*

Me parece que andas un tanto "kunfundido" amigo ...
Veamos:
No te hablo de GNOME 3.8.13 (creo que no existe) sino de las fuentes del núcleo que si son esa versión (3.8.13) y se descargan automáticamente en una nueva instalación de Gentoo ... ¿estamos?
Lo que sí tengo instalado y configurado es Debian 7 que incorpora GNOME 3.4.x ...
http://www.dvdadvdr.com/forums/showthread.php?t=69784
También tengo instalado y configurado la Ubuntu con GNOME ...
http://www.dvdadvdr.com/forums/showthread.php?t=69778
Puede que más adelante me decida a hacer una instalación de Gentoo con GNOME 3.6.x pero de momento estoy en otros menesteres ...
Suerte y saludetes :)


Jajajajaja, Luciernaga, que vergüenza la mía, teneís razón hablabas del kernel no de gnome, he leído al apuro e interpreté cosas que no eran, lo siento :cry:


gringo wrote:
Quote:
que debo hacer para instalar la versión 3.6 de Gnome?


está en ~arch que yo sepa, es mas que recomendable que uses ~arch si tienes intención de usar gnome-3.6.
mezclar estable y testing te va a traer mas problemas que alegrías.

saluetes


gringo, para usar ~arch, implica ponerlo en /etc/portage/make.conf? Pero eso no radica en que si quiero instalar software estable no podré ya que es una configuración global? Me interesaría hacer una instalación en donde solo desenmascare a gnome (y sus dependencias obviamente) pero el resto de cosas quiero estar estable...


esteban_conde wrote:
Bueno amigos, si habeis llegado hasta aqui sin desmayar no me cave duda de que teneis ganas de instalar el nuevo gnome.



esteban_conde, soy muy obstinado y por eso no descansaré hasta tener gnome3.8 instalado en mi equipo, tiene que haber una manera. solo hay que encontrarla ;-)


esteban_conde wrote:
quilosaq wrote:
Prueba a arrancar sin el servidor X. Después ejecuta startx desde tu usuario (no root) para ver si te muestra algún mensaje de error.

El caso es que gdm no deja ni rastro de ninguna de las maneras de que lo he ejecutado, startx funciona pero ya sabes XSSESION y no es eso lo que buscamos, comenté en uno de los posts que habia arrancado gdm y el escritorio gnome pero fuen fugaz y despues nunca más he podido volver, con el driver nouveau no arrancaba gnome por no tener aceleración 3D y es que mesa con Gallium parece que no es suficiente, vi un post sobre bajar mesa con jit clone, lo ejecuté y salió bien la instalación pero los resultados igual --> intento fallido de instalar gnome-8 ni sobre la anterior ni con instalación limpia (esta segunda no he insistido pero es posible que fuese culpa mia por saltarme el paso de emerge -uDN world, pero no se si merece la pena).
Hasta ahí lo que hice hasta el segundo borrado y nueva instalcíón:
No esta mal que empiece pidiendo perdon por mi nula capacidad para estructurar un pequeño comentario como es este, el caso es que espero acordarme de los pasos seguidos.
1)Borré todo menos el stage3 para volver a descomprimir, puse ~amd64 en make.conf monte /proc y /dev en con -o bind en lo que despues seria el chroot y puse el DNS en etc/resolv.conf, ejecuté chroot y sigo.
2)ya en el chroot, mkdir /usr/portage --> emerge-webrsync para crear el arbol de portage-->emerge -uDN world, como en las anteriores instalciones habia dado problemas pambase-2012mesdia-rX me quedé con el detalle de que se habia instalado sin quejas.
3)emerge -pv gnome -->saca una larga lista de paquetes con uses especificas que hay que ir metiendo cada una a su archivo correspondiente en /etc/portage/package.use, abrevia un poco y evita equivocaciones abrir un segundo terminal situarse en /mnt/etc/portage/package.use y dejar el cursor preparado asi: # echo "" situar el cursor entre los comillas ir al terminal del chroot y copiar el >=nombrdepaqute use y luego de pegado queda #echo ">=nombrdepaquete use">paquete (esto lo pongo solo por que a mi me ha ayudado), entre esos paquete mira por donde aparece otra vez pambase con la use consolekit, procedo --> echo "pambase-20120417-r1">pambase y cuando termino con todos desde el chroot lo primero que hago es emerge pambase instaló un buen numero de paquetes y sigo.
4)emerge gnome -->se me instalan 443 paquetes sin ningun contratiempo pero este es el pricipio de la historia que conté en el anterior post.

Si alguien se ha fijado en Xorg.0.log aparecen un par de cosas que no se interpretar
Quote:
29.223] (II) Module "ramdac" already built-in
[ 29.245] (**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
[ 29.245] (==) NVIDIA(0): RGB weight 888
[ 29.245] (==) NVIDIA(0): Default visual is TrueColor
[ 29.245] (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
[ 29.245] (**) NVIDIA(0): Enabling 2D acceleration
[ 29.796] (II) NVIDIA(GPU-0): Display (Arnos Instruments A-19 (CRT-1)) does not support
[ 29.796] (II) NVIDIA(GPU-0): NVIDIA 3D Vision stereo.
[ 29.798] (II) NVIDIA(0): NVIDIA GPU GeForce GT 610 (GF119) at PCI:1:0:0 (GPU-0)
(Arnos Instument A-19 (CRT-1) se refiere al monitor o a la GPU es que desconozco si gnome3 necesita algun tipo de pantalla, la mia es del 2007 +ó-.
Por cierto he instalado slim y me sale la pantalla negra pero se ve la rueda del raton y luego en forma X pero de ahí no pasa, a ver si entre todos damos el paso, he instalado fedora pero acostumbrado a gentoo no hay color yum -install kernel me planta un bonito kernel-3.9xxx en /boot pero no instala fuentes, vamos que compilar un nuevo kernel en esa distro supone documentarse parcticamente desde cero y e incluso así ¡ya veriamos!.
Bueno amigos, si habeis llegado hasta aqui sin desmayar no me cave duda de que teneis ganas de instalar el nuevo gnome.


Aquí veo que tratas de instalar gnome3.6 pero nada que te funciona, pero, y si instalas gnome2 para ver si inicia? (digo no?)

Por cierto, he escrito este mismo hilo en inglés para tener mayor respuesta y opiniones para escoger la mejor respuesta posible (vamos, hay muchos caminos para llegar a un destino pero me gusta tener posibilidades para analizarlas y escoger el mejor de ellos) --> si quereis hechar un vistazo has clic aqui, me han dado algunas respuestas, de repente tengas mejor suerte que yo y lo puedas hacer antes (de repente)


Saludos!!!
Back to top
View user's profile Send private message
esteban_conde
Veteran
Veteran


Joined: 04 Jun 2003
Posts: 1497

PostPosted: Sat Jun 01, 2013 4:55 pm    Post subject: Reply with quote

Quote:
Aquí veo que tratas de instalar gnome3.6 pero nada que te funciona, pero, y si instalas gnome2 para ver si inicia? (digo no?)

He probado de varias formas, en la que estoy ahora he hecho una instalacion limpia y sobre ella he instalado la testing pero no arranca gdm ni gnome llamandolo desde slim, vamos que no se por donde meterle el diente.
La instalacion limpia funcionaba perfectamente y la testing se instalo sin problemas pero no funciona.
_________________
Saludos a tod@s, Esteban.
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3726

PostPosted: Sun Jun 02, 2013 4:09 pm    Post subject: Reply with quote

Quote:
gringo, para usar ~arch, implica ponerlo en /etc/portage/make.conf?


exacto

Quote:
Pero eso no radica en que si quiero instalar software estable no podré ya que es una configuración global?


no necesariamente, si por el motivo que sea quieres usar la versión estable de un paquete tan sólo tienes que añadirlo al package.mask. Esto puede implicar que las depencias del paquete tambien tendrás que enmascararlas a su versión estable.
La cosa se complica cuando quieras usar muchos paquetes que están en estable, ya no porque tienes que añadirlos manualmente al archivo mencionado, si no porque tendrás otros paquetes instalados que están en ~arch que a su vez dependerán de otro paquete que esté probablemente en ~arch. Vamos un lío de mantener, o sabes muy bien lo que haces o la vas montar gorda.

El problema es simple : mezclar estable e inestable te va traer problemas. Si quieres usar gnome3 en gentoo tienes que pasarte a ~arch porque dependerá de un montón de paquetes que estarán en ~arch tb.

Quote:
no arranca gdm ni gnome llamandolo desde slim


mi experiencia con slim fue bastante mala tambien, creo que no me duró mas de un día.

saluetes
Back to top
View user's profile Send private message
esteban_conde
Veteran
Veteran


Joined: 04 Jun 2003
Posts: 1497

PostPosted: Mon Jun 03, 2013 11:09 am    Post subject: Reply with quote

Bueno esto parece que se ha arreglado, gnome-3.6.2 me ha arrancado y de momento parece estable, aparte de los pasos que pongo mas arriba he tenido que compilar el compilar el kernel-2.9.4-gentoo recompilar nvidia-drivers y una cosa bastante tonta pero que hay que hacer si o si /etc/init.d/dbus start y eselect opencl set nvidia y eselect opengl set xorg-x11 (esto ultimo no lo he ejecutado aisladamente y por tanto no puedo decir que es lo que me ha solucionado el problema, sorry).
Y eso es todo si alguna cosa hace falta que la aclare, para eso estamos.
_________________
Saludos a tod@s, Esteban.
Back to top
View user's profile Send private message
Jack Krauser
Tux's lil' helper
Tux's lil' helper


Joined: 19 Jan 2011
Posts: 109

PostPosted: Tue Jun 04, 2013 5:21 am    Post subject: Reply with quote

esteban_conde wrote:
Bueno esto parece que se ha arreglado, gnome-3.6.2 me ha arrancado y de momento parece estable


Como llegaste a tener gnome 3.6.2????
Back to top
View user's profile Send private message
esteban_conde
Veteran
Veteran


Joined: 04 Jun 2003
Posts: 1497

PostPosted: Tue Jun 04, 2013 9:47 am    Post subject: Reply with quote

http://www.mediafire.com/view/25z9bn5wq25hx03/Captura_de_pantalla_de_2013-06-04_11%3A28%3A13.png
Jack Krauser wrote:
Como llegaste a tener gnome 3.6.2????

Es que para cada máquina varía un poco pero si lees mis tres o cuatro post iras viendo que tengo un amd FX 8350 (son compatibles con intel) y una grafica nvidia geforce GT 610 (esto si es importante).
Si los lees veras como he ido evolucionandos desde el nouveau que no funciona con la 3.6.2 a nvidia que está en portage...etc.
¡Venga animo!.
_________________
Saludos a tod@s, Esteban.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum